# CEGUI::Vector2 Class Reference

Class used as a two dimensional vector (aka a Point). More...

List of all members.

## Public Member Functions

| Vector2 (float x, float y)
Vector2 & | operator *= (const Vector2 &vec)
Vector2 & | operator/= (const Vector2 &vec)
Vector2 & | operator+= (const Vector2 &vec)
Vector2 & | operator-= (const Vector2 &vec)
Vector2 | operator+ (const Vector2 &vec) const
Vector2 | operator- (const Vector2 &vec) const
Vector2 | operator * (const Vector2 &vec) const
bool | operator== (const Vector2 &vec) const
bool | operator!= (const Vector2 &vec) const
Size | asSize () const

## Public Attributes

float | d_x
float | d_y

## Detailed Description

Class used as a two dimensional vector (aka a Point).